/*
 * *************************************************
 * Copyright (c) 2019 QMTH. All Rights Reserved.
 * Created by Deason on 2019-05-29 11:31:01.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 属性配置服务类
 */
@Component
public class SysProperty {
    private static Logger log = LoggerFactory.getLogger(SysProperty.class);
    @Autowired
    private CloudDiscoveryClient discoveryClient;

    @Value("${examcloud.upyun.url}")
    private String upYunUrl;//又拍云文件服务

    @Value("${examcloud.sms.url}")
    private String smsUrl;//短信服务地址

    @Value("${examcloud.sms.sign}")
    private String smsSign;//短信签名

    @Value("${examcloud.sms.template}")
    private String smsTemplate;//短信模板Code

    public String getCoreBasicUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_BASIC);
    }

    public String getCoreExamWorkUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_EXAMWORK);
    }

    public String getCoreOeStudentUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_OE_STUDENT);
    }

    public String getCoreOeAdminUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_OE_ADMIN);
    }

    public String getCoreQuestionUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_QUESTION);
    }

    public String getCoreAuthUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_BASIC);
    }

    public String getUpYunUrl() {
        return upYunUrl;
    }

    public String getSmsUrl() {
        return smsUrl;
    }

    public String getSmsSign() {
        return smsSign;
    }

    public String getSmsTemplate() {
        return smsTemplate;
    }

}